# RPM Spec file for GGZ Gaming Zone server
%define name ggz-server
%define version 0.0.6
%define release 3mdk
%define lib_name_orig libggz-server
%define lib_major 1
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: Server software for the GGZ Gaming Zone
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Other
Source: %name-%version.tar.bz2
URL: http://ggz.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libggz1 >= %{version}
BuildRequires: libggz1-devel >= %{version}
Buildrequires: popt-devel
Requires: libggz1 >= %{version}
Requires:  %{lib_name_orig} = %{version}

%description
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

# Main package
%package -n %{lib_name}
Summary:   GGZ server libraries
Group:     Games/Other
Provides:  %{lib_name_orig} = %{version}
Provides:  %{name} = %{version}

%description -n %{lib_name}
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

This package provides the libraries needed to run the server.

# Devel package
%package -n %{lib_name}-devel
Summary:   GGZ server development libraries
Group:     Games/Other
Provides:  %{lib_name_orig}-devel = %{version}
Provides:  %{name}-devel = %{version}
Requires:  %lib_name = %{version}

%description -n %{lib_name}-devel
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games.  Currently, the following game servers
are packaged with GGZ:
  - Spades		- Connect the Dots
  - Tic-Tac-Toe		- La Pocha
  - Chinese Checkers	- Chess
  - Combat		- Hastings
  - Krosswater		- Reversi
  - GGZ Cards		- Escape
  - Keepalive		- Muehle

This package provides the libraries needed to build the server.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
%configure
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README README.GGZ TODO

%dir /etc/ggzd
%config /etc/ggzd/ggzd.conf
%config /etc/ggzd/ggzd.motd
%dir /etc/ggzd/games
%config /etc/ggzd/games/ccheckers.dsc
%config /etc/ggzd/games/chess.dsc
%config /etc/ggzd/games/combat.dsc
%config /etc/ggzd/games/dots.dsc
%config /etc/ggzd/games/escape.dsc
%config /etc/ggzd/games/ggzcards.dsc
%config /etc/ggzd/games/ggzcards-bridge.dsc
%config /etc/ggzd/games/ggzcards-fortytwo.dsc
%config /etc/ggzd/games/ggzcards-hearts.dsc
%config /etc/ggzd/games/ggzcards-lapocha.dsc
%config /etc/ggzd/games/ggzcards-spades.dsc
%config /etc/ggzd/games/ggzcards-suaro.dsc
%config /etc/ggzd/games/ggzcards-sueca.dsc
%config /etc/ggzd/games/ggzcards-whist.dsc
%config /etc/ggzd/games/hastings.dsc
%config /etc/ggzd/games/keepalive.dsc
%config /etc/ggzd/games/krosswater.dsc
%config /etc/ggzd/games/lapocha.dsc
%config /etc/ggzd/games/muehle.dsc
%config /etc/ggzd/games/reversi.dsc
%config /etc/ggzd/games/spades.dsc
%config /etc/ggzd/games/tictactoe.dsc

%dir /etc/ggzd/rooms
%config /etc/ggzd/rooms/ccheckers.room
%config /etc/ggzd/rooms/chess.room
%config /etc/ggzd/rooms/combat.room
%config /etc/ggzd/rooms/dots.room
%config /etc/ggzd/rooms/entry.room
%config /etc/ggzd/rooms/escape.room
%config /etc/ggzd/rooms/ggzcards.room
%config /etc/ggzd/rooms/ggzcards-bridge.room
%config /etc/ggzd/rooms/ggzcards-fortytwo.room
%config /etc/ggzd/rooms/ggzcards-hearts.room
%config /etc/ggzd/rooms/ggzcards-lapocha.room
%config /etc/ggzd/rooms/ggzcards-spades.room
%config /etc/ggzd/rooms/ggzcards-suaro.room
%config /etc/ggzd/rooms/ggzcards-sueca.room
%config /etc/ggzd/rooms/ggzcards-whist.room
%config /etc/ggzd/rooms/hastings.room
%config /etc/ggzd/rooms/keepalive.room
%config /etc/ggzd/rooms/krosswater.room
%config /etc/ggzd/rooms/lapocha.room
%config /etc/ggzd/rooms/muehle.room
%config /etc/ggzd/rooms/reversi.room
%config /etc/ggzd/rooms/spades.room
%config /etc/ggzd/rooms/tictactoe.room

%{_bindir}/ggzd
%{_bindir}/ggzduedit

%{_libdir}/ggzd

%{_datadir}/ggzd/ggzcards/spades.aispec
%{_datadir}/ggzd/ggzcards/suaro.aispec
%{_datadir}/ggzd/muehle/classic
%{_datadir}/ggzd/muehle/roman
%{_datadir}/ggzd/muehle/twelvemensmorris

%{_mandir}/man3/ggzdmod.h.3.*
%{_mandir}/man6/ggzd.6.*
%{_mandir}/man6/ggzduedit.6.*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libggzdmod.so.1
%{_libdir}/libggzdmod.so.1.0.0
%{_libdir}/libzoneserver.so.0
%{_libdir}/libzoneserver.so.0.0.1

%files -n %{lib_name}-devel
%defattr(-,root,root)

%{_libdir}/libggzdmod.a
%{_libdir}/libggzdmod.la
%{_libdir}/libggzdmod.so

%{_libdir}/libzoneserver.a
%{_libdir}/libzoneserver.la
%{_libdir}/libzoneserver.so

%{_includedir}/ggzdmod.h

%changelog
* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Fri Mar 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated for 0.0.6 release
- Mandrakized (split off libggz-server1/libggz-server1-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5 release

* Wed Sep 12 2001 Jason Short <jdorje@users.sourceforge.net>
- Updated files and miscellany for 0.0.5pre

* Sun Jun 17 2001 Rich Gade <rgade@users.sourceforge.net>
- Added files necessary for 0.0.4

* Thu May 31 2001 Brent Hendricks <bmh@users.sourceforge.net>
- Updated for release 0.0.4

* Thu Aug 31 2000 Rich Gade <rgade@users.sourceforge.net>
- Updated for release 0.0.3
- Moved default location for db files to /var/tmp

* Mon Aug 21 2000 Rich Gade <rgade@usrs.sourceforge.net>
- Updated for version 0.0.3pre

* Mon Apr 24 2000 Brent Hendricks <bmh@users.sourceforge.net>
- Removed easysock files from list

* Thu Apr 20 2000 Rich Gade <rgade@users.sourceforge.net>
- Rewrote to use a BuildRoot in /var/tmp
- Moved sysconfdir to /etc

* Sat Apr 15 2000 Rich Gade <rgade@users.sourceforge.net>
- First stab at a .spec file for the Gnu Gaming Zone server
